## com.rbnb.media.datasink.protocol
Class Handler

    java.lang.Object
      com.rbnb.media.datasink.protocol.Handler

All Implemented Interfaces:
  Controls, DataSink, MediaHandler, BufferTransferHandler

    public class Handler

extends Object
implements DataSink, BufferTransferHandler

Constructor Summary
`Handler()`

Method Summary
`void` `addDataSinkListener(DataSinkListener listenerI)`
`void` `close()`
`String` `getContentType()`
`Object` `getControl(String controlTypeI)`
`Object[]` `getControls()`
`MediaLocator` `getOutputLocator()`
`double` `getRequestedRate()`
`boolean` `getUseEncoding()`
`boolean` `getUseWallClock()`
`void` `open()`
`boolean` `readPullBuffer(PullBufferStream streamI)`
`void` `removeDataSinkListener(DataSinkListener listenerI)`
`protected void` `sendEvent(DataSinkEvent eventI)`
`void` `setOutputLocator(MediaLocator locatorI)`
`void` `setRequestedRate(double requestedRateI)`
`void` `setSource(DataSource sourceI)`
`void` `setUseEncoding(boolean useEncodingI)`
`void` `setUseWallClock(boolean useWallClockI)`
`void` `start()`
`void` `stop()`
`void` `transferData(PushBufferStream streamI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### addDataSinkListener

    public final void addDataSinkListener(DataSinkListener listenerI)

  Specified by:
    `addDataSinkListener` in interface `DataSink`

### close

    public final void close()

  Specified by:
    `close` in interface `DataSink`

### getContentType

    public final String getContentType()

  Specified by:
    `getContentType` in interface `DataSink`

### getControl

    public final Object getControl(String controlTypeI)

  Specified by:
    `getControl` in interface `Controls`

### getControls

    public final Object[] getControls()

  Specified by:
    `getControls` in interface `Controls`

### getOutputLocator

    public final MediaLocator getOutputLocator()

  Specified by:
    `getOutputLocator` in interface `DataSink`

### getUseEncoding

    public final boolean getUseEncoding()

### getUseWallClock

    public final boolean getUseWallClock()

### getRequestedRate

    public final double getRequestedRate()

### open

    public final void open()
                    throws IOException,
                           SecurityException

  Specified by:
    `open` in interface `DataSink`
  Throws:
    `IOException`
    `SecurityException`

### removeDataSinkListener

    public final void removeDataSinkListener(DataSinkListener listenerI)

  Specified by:
    `removeDataSinkListener` in interface `DataSink`

### setOutputLocator

    public final void setOutputLocator(MediaLocator locatorI)

  Specified by:
    `setOutputLocator` in interface `DataSink`

### setSource

    public final void setSource(DataSource sourceI)
                         throws IncompatibleSourceException

  Specified by:
    `setSource` in interface `MediaHandler`
  Throws:
    `IncompatibleSourceException`

### setUseEncoding

    public final void setUseEncoding(boolean useEncodingI)

### setUseWallClock

    public final void setUseWallClock(boolean useWallClockI)

### setRequestedRate

    public final void setRequestedRate(double requestedRateI)

### start

    public final void start()

  Specified by:
    `start` in interface `DataSink`

### stop

    public final void stop()

  Specified by:
    `stop` in interface `DataSink`

### transferData

    public final void transferData(PushBufferStream streamI)

  Specified by:
    `transferData` in interface `BufferTransferHandler`

### readPullBuffer

    public final boolean readPullBuffer(PullBufferStream streamI)

### sendEvent

    protected final void sendEvent(DataSinkEvent eventI)